package structs

import (
	"encoding/json"
	"time"
)

/*
type Equipment struct {
	Id        string // stock item id of invex system
	Name      string
	Thumbnail string // url provided by invex system
	CreatedAt time.Time
	UpdatedAt time.Time
} */

type EquipmentDocumentation struct {
	Id              string
	StockItemId     string // stock item id of invex system
	Type            uint8
	Title           string
	Notes           string
	CreatedByUserId string
	CreatedAt       time.Time
	UpdatedAt       time.Time
}

type ApiEquipmentParamsRequest struct {
	StockItemId string `json:"stockItemId"`
}

type ApiCreateEquipmentDocumentationRequest struct {
	StockItemId string          `json:"stockItemId"`
	Type        uint8           `json:"type"`
	Title       string          `json:"title"`
	Notes       json.RawMessage `json:"notes"`
}

type ApiEquipmentDocumentationResponse struct {
	Status         int
	Documentations []EquipmentDocumentation
}
